
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PrevodAifoStatusType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="PrevodAifoStatusType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="AifoZdrojNenalezeno"/&gt;
 *     &lt;enumeration value="AifoZdrojNeplatne"/&gt;
 *     &lt;enumeration value="AifoCilNeexistuje"/&gt;
 *     &lt;enumeration value="AifoCilNeplatne"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "PrevodAifoStatusType")
@XmlEnum
public enum PrevodAifoStatusType {


    /**
     * Zdrojové AIFO nebylo nalezeno
     * 
     */
    @XmlEnumValue("AifoZdrojNenalezeno")
    AIFO_ZDROJ_NENALEZENO("AifoZdrojNenalezeno"),

    /**
     * Zdrojové AIFO není platné. Pro převod není důležité, zda bylo sloučeno, zrušeno apod.
     * 
     */
    @XmlEnumValue("AifoZdrojNeplatne")
    AIFO_ZDROJ_NEPLATNE("AifoZdrojNeplatne"),

    /**
     * Cílové AIFO nebylo nalezeno.
     * 
     */
    @XmlEnumValue("AifoCilNeexistuje")
    AIFO_CIL_NEEXISTUJE("AifoCilNeexistuje"),

    /**
     * Cílové AIFO není platné. Pro převod není důležité, zda bylo sloučeno, zrušeno apod.
     * 
     */
    @XmlEnumValue("AifoCilNeplatne")
    AIFO_CIL_NEPLATNE("AifoCilNeplatne");
    private final String value;

    PrevodAifoStatusType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PrevodAifoStatusType fromValue(String v) {
        for (PrevodAifoStatusType c: PrevodAifoStatusType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
