
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for UcelSouboruTypType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="UcelSouboruTypType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="DATA"/&gt;
 *     &lt;enumeration value="DATAPEAISC"/&gt;
 *     &lt;enumeration value="DATAPEAISEO"/&gt;
 *     &lt;enumeration value="DATAAISC"/&gt;
 *     &lt;enumeration value="DATAAISEO"/&gt;
 *     &lt;enumeration value="AIFOPEAISC"/&gt;
 *     &lt;enumeration value="AIFOAISC"/&gt;
 *     &lt;enumeration value="AIFOPEAISEO"/&gt;
 *     &lt;enumeration value="AIFOAISEO"/&gt;
 *     &lt;enumeration value="AIFOAISEO"/&gt;
 *     &lt;enumeration value="ADRRUIAN"/&gt;
 *     &lt;enumeration value="STAV_OK"/&gt;
 *     &lt;enumeration value="STAV_CHYBA"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "UcelSouboruTypType")
@XmlEnum
public enum UcelSouboruTypType {


    /**
     * Obsahem souboru jsou obecná data procesu. Vrací AISEO / AISC / ROB pokud vrací data.
     * 
     */
    DATA,

    /**
     * Obsahem souboru jsou data procesu. Vrací AISC / ROB pokud vrací specifická data vyžadující rozlišení.
     * 
     */
    DATAPEAISC,

    /**
     * Obsahem souboru jsou data procesu. Vrací AISEO / ROB pokud vrací specifická data vyžadující rozlišení.
     * 
     */
    DATAPEAISEO,

    /**
     * Obsahem souboru jsou data procesu. Vrací AISC / ROB pokud vrací specifická data vyžadující rozlišení.
     * 
     */
    DATAAISC,

    /**
     * Obsahem souboru jsou data procesu. Vrací AISEO / ROB pokud vrací specifická data vyžadující rozlišení.
     * 
     */
    DATAAISEO,

    /**
     * Obsahem souboru jsou AIFO pro PE AISC. Vrací ROB (obsahem jsou AIFOrob pro PE CIS).
     * 
     */
    AIFOPEAISC,

    /**
     * Obsahem souboru jsou AIFO PE AISC. Vrací AISC (obsahem jsou AIFOaisc).
     * 
     */
    AIFOAISC,

    /**
     * Obsahem souboru jsou AIFO PE AISEO. Vrací ROB (obsahem jsou AIFOrob pro PE AISEO).
     * 
     */
    AIFOPEAISEO,

    /**
     * Obsahem souboru jsou AIFO PE AISEO. Vrací AISEO (obsahem jsou AIFOaiseo)
     * 
     */
    AIFOAISEO,

    /**
     * Obsahem souboru jsou data pru aktualizaci adresních míst RUIAN.
     * 
     */
    ADRRUIAN,

    /**
     * Jde o stavovou informaci o tom, že proces předání souborů v předchozím kroku procesu (ADRRUIAN) byl úspěšný. V identifikaci souboru je uveden identifikátor původního souboru.
     * 
     */
    STAV_OK,

    /**
     * Jde o stavovou informaci o tom, že proces předání souborů v předchozím kroku procesu (ADRRUIAN) nebyl úspěšný. V identifikaci souboru je uveden identifikátor původního souboru.
     * 
     */
    STAV_CHYBA;

    public String value() {
        return name();
    }

    public static UcelSouboruTypType fromValue(String v) {
        return valueOf(v);
    }

}
