
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VysledekSubKodType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VysledekSubKodType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="PREKROCEN CAS"/&gt;
 *     &lt;enumeration value="PREKROCEN SEZNAM"/&gt;
 *     &lt;enumeration value="NENI OPRAVNENI EGON"/&gt;
 *     &lt;enumeration value="NENI OPRAVNENI"/&gt;
 *     &lt;enumeration value="AIFO NEEXISTUJE"/&gt;
 *     &lt;enumeration value="AIFO ZRUSENO"/&gt;
 *     &lt;enumeration value="ZIFO ZRUSENO"/&gt;
 *     &lt;enumeration value="ADRESA NEEXISTUJE"/&gt;
 *     &lt;enumeration value="ADRESA SMAZANA"/&gt;
 *     &lt;enumeration value="JENOM SYNC"/&gt;
 *     &lt;enumeration value="JENOM ASYNC"/&gt;
 *     &lt;enumeration value="MIMO PORADI"/&gt;
 *     &lt;enumeration value="NEPLATNY CAS"/&gt;
 *     &lt;enumeration value="STARSI VERZE"/&gt;
 *     &lt;enumeration value="NEPLATNA VERZE"/&gt;
 *     &lt;enumeration value="DUPLICITNI ZADOST"/&gt;
 *     &lt;enumeration value="NENI IMPLEMENTOVANO"/&gt;
 *     &lt;enumeration value="NENI K DISPOZICI"/&gt;
 *     &lt;enumeration value="NENALEZENO"/&gt;
 *     &lt;enumeration value="PROBIHA ZPRACOVANI"/&gt;
 *     &lt;enumeration value="NEVALIDNI DATA"/&gt;
 *     &lt;enumeration value="NEVALIDNI ZADOST"/&gt;
 *     &lt;enumeration value="NEVALIDNI VAZBA"/&gt;
 *     &lt;enumeration value="APLIKACNI CHYBA"/&gt;
 *     &lt;enumeration value="CHYBA VOLANI REGISTRU"/&gt;
 *     &lt;enumeration value="CHYBA VOLANI AIS"/&gt;
 *     &lt;enumeration value="SPECIFIKACE V POPISU"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "VysledekSubKodType")
@XmlEnum
public enum VysledekSubKodType {


    /**
     * Je překročen čas pro zpracování (podle konfigurace nebo autorizačního omezení).
     * 
     */
    @XmlEnumValue("PREKROCEN CAS")
    PREKROCEN_CAS("PREKROCEN CAS"),

    /**
     * Je překročena velikost výstupního seznamu (podle konfigurace nebo autorizačního omezení).
     * 
     */
    @XmlEnumValue("PREKROCEN SEZNAM")
    PREKROCEN_SEZNAM("PREKROCEN SEZNAM"),

    /**
     * Není oprávnění k požadované eGON službě.
     * 
     */
    @XmlEnumValue("NENI OPRAVNENI EGON")
    NENI_OPRAVNENI_EGON("NENI OPRAVNENI EGON"),

    /**
     * Není oprávnění k požadované interní službě, rozhodnutí základního registru.
     * 
     */
    @XmlEnumValue("NENI OPRAVNENI")
    NENI_OPRAVNENI("NENI OPRAVNENI"),

    /**
     * AIFO není k dispozici (neexistuje nebo odepřen přístup).
     * 
     */
    @XmlEnumValue("AIFO NEEXISTUJE")
    AIFO_NEEXISTUJE("AIFO NEEXISTUJE"),

    /**
     * AIFO není k dispozici (je zrušeno).
     * 
     */
    @XmlEnumValue("AIFO ZRUSENO")
    AIFO_ZRUSENO("AIFO ZRUSENO"),

    /**
     * ZIFO není k dispozici (je zrušeno).
     * 
     */
    @XmlEnumValue("ZIFO ZRUSENO")
    ZIFO_ZRUSENO("ZIFO ZRUSENO"),

    /**
     * Adresa (adresní bod nebo lokalita) není k dispozici.
     * 
     */
    @XmlEnumValue("ADRESA NEEXISTUJE")
    ADRESA_NEEXISTUJE("ADRESA NEEXISTUJE"),

    /**
     * Adresa (adresní bod nebo lokalita) je smazána.
     * 
     */
    @XmlEnumValue("ADRESA SMAZANA")
    ADRESA_SMAZANA("ADRESA SMAZANA"),

    /**
     * Služba je implementována jenom nebo provozována dočasně synchronně (pro nové sluby od 2015/07/24).
     * 
     */
    @XmlEnumValue("JENOM SYNC")
    JENOM_SYNC("JENOM SYNC"),

    /**
     * Služba je implementována jenom nebo provozována dočasně asynchronně.
     * 
     */
    @XmlEnumValue("JENOM ASYNC")
    JENOM_ASYNC("JENOM ASYNC"),

    /**
     * Chyba serializace zpracování (chybí nebo chybové předešlé zpracování).
     * 
     */
    @XmlEnumValue("MIMO PORADI")
    MIMO_PORADI("MIMO PORADI"),

    /**
     * Čas dotazu je mimo povolenou toleranci (podle konfigurace) - též mimo rozsah vstupní fronty.
     * 
     */
    @XmlEnumValue("NEPLATNY CAS")
    NEPLATNY_CAS("NEPLATNY CAS"),

    /**
     * Verze (SOAP) dotazu/žádosti se liší minoritně od současné verze služeb.
     * 
     */
    @XmlEnumValue("STARSI VERZE")
    STARSI_VERZE("STARSI VERZE"),

    /**
     * Verze (SOAP) dotazu/žádosti se liší majoritně od současné verze služeb.
     * 
     */
    @XmlEnumValue("NEPLATNA VERZE")
    NEPLATNA_VERZE("NEPLATNA VERZE"),

    /**
     * Identifikátor žádosti (AIS nebo ISZR) byl přiřazen žádosti v minulosti.
     * 
     */
    @XmlEnumValue("DUPLICITNI ZADOST")
    DUPLICITNI_ZADOST("DUPLICITNI ZADOST"),

    /**
     * Služba není implementována.
     * 
     */
    @XmlEnumValue("NENI IMPLEMENTOVANO")
    NENI_IMPLEMENTOVANO("NENI IMPLEMENTOVANO"),

    /**
     * Služba není dočasně k dispozici.
     * 
     */
    @XmlEnumValue("NENI K DISPOZICI")
    NENI_K_DISPOZICI("NENI K DISPOZICI"),

    /**
     * Při dotazu do výstupní fronty asynchronních požadavků nebyl výsledek nalezen.
     * 
     */
    NENALEZENO("NENALEZENO"),

    /**
     * Při dotazu do výstupní fronty asynchronních požadavků dosud nebyl výsledek zpracován.
     * 
     */
    @XmlEnumValue("PROBIHA ZPRACOVANI")
    PROBIHA_ZPRACOVANI("PROBIHA ZPRACOVANI"),

    /**
     * Data nejsou validní podle XSD dokumentů nebo aplikační logiky.
     * 
     */
    @XmlEnumValue("NEVALIDNI DATA")
    NEVALIDNI_DATA("NEVALIDNI DATA"),

    /**
     * Kód služby neodpovídá XML struktuře žádosti.
     * 
     */
    @XmlEnumValue("NEVALIDNI ZADOST")
    NEVALIDNI_ZADOST("NEVALIDNI ZADOST"),

    /**
     * Data v halavičce (MapaAifo, SerznamIco, ...) neodpovídají datové části (pro nové služby od 2015/07/24).
     * 
     */
    @XmlEnumValue("NEVALIDNI VAZBA")
    NEVALIDNI_VAZBA("NEVALIDNI VAZBA"),

    /**
     * V průběhu aplikačního zpracování se vyskytla chyba. Chyba je blíže specifikována v aplikační části webové zprávy.
     * 
     */
    @XmlEnumValue("APLIKACNI CHYBA")
    APLIKACNI_CHYBA("APLIKACNI CHYBA"),

    /**
     * Při volání služby registru došlo k chybě.
     * 
     */
    @XmlEnumValue("CHYBA VOLANI REGISTRU")
    CHYBA_VOLANI_REGISTRU("CHYBA VOLANI REGISTRU"),

    /**
     * Při volání služby spolupracujícího AIS došlo k chybě (spolupracující AIS = AIS poskytující služby ISZR).
     * 
     */
    @XmlEnumValue("CHYBA VOLANI AIS")
    CHYBA_VOLANI_AIS("CHYBA VOLANI AIS"),

    /**
     * Chyba je blíže specifikována v popisu.
     * 
     */
    @XmlEnumValue("SPECIFIKACE V POPISU")
    SPECIFIKACE_V_POPISU("SPECIFIKACE V POPISU");
    private final String value;

    VysledekSubKodType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static VysledekSubKodType fromValue(String v) {
        for (VysledekSubKodType c: VysledekSubKodType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
